Skip to content

Get supplier booking ​

GET
/v1/suppliers/orders/{order_id}

Gets a list with bookings. Bookings can be filtered based on a reservation id

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

order_id*

XS2event ID of the Bookingorder

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
reservation_id
Type
string
Examplenull
booking_id
Type
string
Examplenull
bookingorder_id
Type
string
Examplenull
query
Type
string
Examplenull
booking_email
Type
string
Examplenull
compare_mode

compare mode AND / OR

Type
string
Example"AND"
ticket_id
Type
string
Examplenull
event_id
Type
string
Examplenull
event_startdate

Filter bookingorders on their event startdate

Type
string
Example"2025-01-01"
event_stopdate

Filter bookingorders on their event stopdate

Type
string
Example"2025-01-02"
created
Type
string
Examplenull
api_booking
Type
boolean
Exampletrue
guestdata_status

Enum: waitingfordistributor, waitingforprocessing, completed, waitingforendcustomer, notapplicable, waitingtosendtosupplier

Type
string
Example"completed"
booking_code
Type
string
Examplenull
sport_type

Filter bookingorders by sport type

Type
string
Example"soccer"
tournament_id

Filter bookingorders by tournament

Type
string
Example"abc123_trn"
logistic_status

Enum: processing, cancelled, postponed, completed, waitforactivation, administrative, returned, review, blocked, pendingticketupload

Type
string
Example"processing"
mass_booking

Filter bookingorders by mass booking status

Type
boolean
Examplefalse
sales_price_eur

Filter by sales price in EUR (cents). Accepts legacy aliases net_rate and salesprice.

Example10000
Default
null
marketplace_logistic_purchaseorder_id

Filter bookingorders by marketplace logistic purchase order id

Type
string
Example"abc123def456_po"

Responses​

OK

application/json
JSON
{
  
"bookingorder_id": null,
  
"purchaseorder_id": "admin_po_4b7f2f2e_po",
  
"marketplace_logistic_purchaseorder_id": "logistic_po_d9c3f8b1_po",
  
"reference_number": null,
  
"logistic_status": null,
  
"guestdata_status": null,
  
"event_id": null,
  
"event_name": null,
  
"event_startdate": null,
  
"event_stopdate": null,
  
"season": null,
  
"tournament_name": null,
  
"invoices": [
  
],
  
"items": [
  
  
{
  
  
  
"ticket_id": null,
  
  
  
"ticket_name": null,
  
  
  
"ticket_startdate": null,
  
  
  
"ticket_stopdate": null,
  
  
  
"type_ticket": null,
  
  
  
"currency": null,
  
  
  
"quantity": null,
  
  
  
"ticket_sha": null,
  
  
  
"category_id": null,
  
  
  
"category_name": null,
  
  
  
"sub_category": null,
  
  
  
"distribution_channel": null,
  
  
  
"ticket_targetgroup": null,
  
  
  
"ticket_validity": null,
  
  
  
"download_link": null,
  
  
  
"row": null,
  
  
  
"seat": null,
  
  
  
"serial": null,
  
  
  
"section": null,
  
  
  
"created": null,
  
  
  
"updated": null,
  
  
  
"orderitem_id": null,
  
  
  
"download_items": [
  
  
  
  
{
  
  
  
  
  
"download_link": null,
  
  
  
  
  
"external_activation_link": null,
  
  
  
  
  
"ticket_sha": null,
  
  
  
  
  
"downloaditem_id": null,
  
  
  
  
  
"label": null
  
  
  
  
}
  
  
  
],
  
  
  
"guest": {
  
  
  
  
"first_name": "John",
  
  
  
  
"last_name": "Doe",
  
  
  
  
"passport_number": "ABC123456",
  
  
  
  
"contact_email": "[email protected]",
  
  
  
  
"contact_phone": "+31123456789",
  
  
  
  
"lead_guest": true,
  
  
  
  
"date_of_birth": "1991-01-30",
  
  
  
  
"gender": "male",
  
  
  
  
"country_of_residence": "NLD",
  
  
  
  
"street_name": "Hereweg 95",
  
  
  
  
"additional_street_name": "e",
  
  
  
  
"city": "Groningen",
  
  
  
  
"zip": "9721AA",
  
  
  
  
"province": "Groningen",
  
  
  
  
"supported_team": "Los Angeles Rams",
  
  
  
  
"guest_id": null,
  
  
  
  
"conditions": {
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
}
  
  
  
},
  
  
  
"ticket_status": null,
  
  
  
"guest_data_requirements": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​